Last modified: 2014-04-08 08:57:39 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 23942 - "Find and Replace" is missing when "Enable dialogs for inserting links, tables and more" is not checked
"Find and Replace" is missing when "Enable dialogs for inserting links, table...
Status: REOPENED
Product: MediaWiki extensions
Classification: Unclassified
WikiEditor (Other open bugs)
master
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: TMg
:
Depends on:
Blocks: 63665 24493
  Show dependency treegraph
 
Reported: 2010-06-13 12:34 UTC by Liangent
Modified: 2014-04-08 08:57 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Liangent 2010-06-13 12:34:12 UTC
When I uncheck "Enable dialogs for inserting links, tables and more" in Special:Preferences, I thought what I lost was only a better user interface, however, actually that "Find and Replace" feature disappeared as well.
Comment 1 Roan Kattouw 2010-06-13 12:36:21 UTC
Yes, this is intentional, as Search&Replace is a dialog as well. I guess maybe the preference description could be clarified.
Comment 2 TMg 2012-06-03 15:17:09 UTC
Reopening. I consider this a bug.

The reason why I disable the checkbox is *not* that I don't want any dialogs, no matter if they are useful or not.

I disable the checkbox because I want the "Internal link" button insert "[[" and "]]" before and after the text I selected before. I disable the checkbox because I want the "Table" button add a little table markup before and after the text I selected before.

I disable the checkbox because I do *not* want "dialogs for inserting links, tables and more".

The "search and replace" button does not insert anything. It simply goes away when changing the setting. This does not make sense.
Comment 3 TMg 2012-10-02 20:11:20 UTC
Would somebody please turn the "Search and replace" dialog on? The setting is not called "hide all dialogs no matter what they do". Why should anybody do this? The setting changes what the "Link", "Embedded file" and some other buttons do. As said I turn it off because I want the "Link" button to simply insert brackets around the word I selected. By turning the setting off *no* button goes away *except* for the "Search and replace" button. Why? This is stupid. Please fix this confusing behavior. Thank you.
Comment 4 TMg 2012-10-29 19:19:08 UTC
Anybody working on this? How complicated can it be to remove or add a tiny little "if" to the code?

Again, why should anybody want to "disable all dialogs"? I don't care if it's a dialog or not. I use the checkbox to change the button "for inserting links" back to a simple "insert brackets" button.

The search and replace dialog does not insert anything. Why does it needs to be removed from the toolbar?

When i disable "dialogs for inserting links, tables and more" no button goes away. Some buttons change their behavior but all stay in the toolbar. Except for the "search and replace" button. This does not make sense.
Comment 5 TMg 2013-01-07 21:16:18 UTC
Would somebody please, please re-enable the "search and replace" feature even if the link and table wizards are disabled on purpose? It does not make any sense to have a checkbox that switches certain features from one mode (use wizards to insert links and tables) to an other mode (insert brackets only) and at the same time completely *blocks* an other feature.
Comment 6 Andre Klapper 2013-01-07 23:00:51 UTC
Nothing has changed in the last two years to reevaluate here => resetting priority and TM to previous values.
Comment 7 TMg 2013-01-08 12:37:32 UTC
The interface is crippled. It's not an "enhancement" to remove such a counterproductive restriction. That's a bug. It should be fixed.
Comment 8 TMg 2013-03-20 12:39:43 UTC
Hello. Is this thing on? Un-cripple the crippled interface, please.
Comment 9 Andre Klapper 2013-03-20 13:11:10 UTC
Yes this thing is on, and this is low priority, see comment 1. 
Currently I am not aware of any plans to work on this, which does not stop anybody interested to improve the interface by providing patches:
   http://www.mediawiki.org/wiki/Developer_access
In general and from experience in other open source projects, repeated demands will almost certainly diminish the impact and interest in your suggestions.
Comment 10 TMg 2013-03-21 08:31:41 UTC
What "plan" is needed to assign a bug to the responsible developer?
Comment 11 Andre Klapper 2013-03-21 09:48:41 UTC
A plan to achieve unlimited manpower? :)
I won't assign this to a "responsible" developer because, again, it's pretty low priority and there's way more urgent things that need a developer assigned instead. I won't stop you from finding a developer though! 
If something is unclear feel free to send me an email (because this is becoming a meta-discussion unrelated to this specific bug report).
Comment 12 Nemo 2013-06-07 20:29:57 UTC
(In reply to comment #1)
> Yes, this is intentional, as Search&Replace is a dialog as well. I guess
> maybe
> the preference description could be clarified.

TMg proposed elsewhere to rephrase to "Enable dialogs for inserting links and tables as well as the search and replace function"; a minimal fix could be on the misleading comma: "Enable dialogs for inserting links and tables and more".
Comment 13 Gerrit Notification Bot 2013-06-28 21:16:56 UTC
Change 65453 had a related patch set uploaded by Matmarex:
Expanding preference label to what it actually does

https://gerrit.wikimedia.org/r/65453
Comment 14 Gerrit Notification Bot 2013-06-28 21:17:53 UTC
Change 65453 merged by jenkins-bot:
Expanding preference label to what it actually does

https://gerrit.wikimedia.org/r/65453
Comment 15 Bartosz Dziewoński 2013-06-28 21:19:48 UTC
I11a038a6, which clarified the description in preferences, merged. I consider this fixed now.
Comment 16 TMg 2013-10-07 17:32:07 UTC
Sorry, but the enhanced checkbox label was only a workaround.

From a usability point of view it does not make sense to remove the "search and replace" button from the toolbar. If the function is not needed the user can simply ignore the button (it's hidden anyway, see bug 23824). But the user needs a setting to change the "internal link" button back to "just insert brackets, I know what I'm doing". The two features are mixed in a single setting because of a technical restriction. The feature request is: Solve the technical restriction so we can split the settings.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links